%define	name	chemtool
%define version 1.6.12
%define release %mkrel 1

Summary:	Program for 2D drawing organic molecules
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sciences/Chemistry
Source0:	http://ruby.chemie.uni-freiburg.de/~martin/chemtool/%{name}-%{version}.tar.gz
Url:		http://ruby.chemie.uni-freiburg.de/~martin/chemtool/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	transfig openbabel
BuildRequires:	gtk2-devel gettext-devel desktop-file-utils
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		chemtool-1.6.8-compilationfix.patch

%description
Chemtool is a program for drawing organic molecules easily and store them as
a X bitmap, Xfig or EPS file. It runs under the X Window System using 
the GTK widget set.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %buildroot%_datadir/%{name}-%{version}
install -m644 examples/* %buildroot%_datadir/%{name}-%{version}/

mkdir -p %buildroot%{_datadir}/applications

# (tv) fix 'error: value "chemtool.png" for key "Icon" in group "Desktop Entry"
# is an icon name with an extension, but there should be no extension as
# described in the Icon Theme Specification if the value is not an absolute
# path':
perl -pi -e 's!^(Icon=).*/([^/]*)$!\1\2!; s!.png$!!' %{name}.desktop

desktop-file-install --vendor='' \
	--dir=%buildroot%{_datadir}/applications/ \
	--remove-category='Application' \
	--add-category='GTK' \
	--add-category='Science' \
	%{name}.desktop

install -D -m644 kde/icons/hicolor/32x32/mimetypes/chemtool.png %buildroot%{_iconsdir}/hicolor/32x32/mimetypes/chemtool.png

# icons
%{__install} -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
%{__install} -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{__install} -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{__install} -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%{update_menus}
%{update_mime_database}
%{update_icon_cache hicolor}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_mime_database}
%{clean_icon_cache hicolor}
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc TODO README ChangeLog
%_bindir/*
%_datadir/%{name}-%{version}
%_mandir/man1/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Sun Aug 22 2010 Funda Wang <fwang@mandriva.org> 1.6.12-1mdv2011.0
+ Revision: 571834
- drop kde3 mimelnk

* Sun Jun 14 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.12-1mdv2010.0
+ Revision: 385896
- update to new version 1.6.12

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.6.11-4mdv2009.0
+ Revision: 243876
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.6.11-2mdv2008.1
+ Revision: 171793
- fix 'error: value "chemtool.png" for key "Icon" in group "Desktop Entry" is
  an icon name with an extension, but there should be no extension as described
  in the Icon Theme Specification if the value is not an absolute path'
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 27 2007 Funda Wang <fwang@mandriva.org> 1.6.11-1mdv2008.0
+ Revision: 72094
- BR desktop-file-utils
- use more generic install macro
- switch to hicolor theme
- install kde stuff
- New version 1.6.11

* Thu May 10 2007 Austin Acton <austin@mandriva.org> 1.6.10-1mdv2008.0
+ Revision: 25853
- new version
- rebuild for openbabel


* Tue Feb 27 2007 Emmanuel Andry <eandry@mandriva.org> 1.6.9-1mdv2007.0
+ Revision: 126188
- New version 1.6.9
- uncompress patch
- Import chemtool

* Wed Sep 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.6.8-2mdv2007.0
- Use mkrel
- XDG

* Wed Feb 22 2006 Jerome Martin <jerome.f.martin@free.fr> 1.6.8-1mdk
- New release 1.6.8
- Used %%{1}mdv2007.1

* Fri Aug 05 2005 Austin Acton <austin@mandriva.org> 1.6.7-1mdk
- New release 1.6.7

* Sun Feb 13 2005 Austin Acton <austin@mandrake.org> 1.6.6-1mdk
- 1.6.6

* Mon Feb 07 2005 Austin Acton <austin@mandrake.org> 1.6.5-1mdk
- 1.6.5
- configure 2.5
- source URL
- gtk2
- require openbabel for file conversions

* Sat Oct 09 2004 Austin Acton <austin@mandrake.org> 1.6.3-2mdk
- fix binary installation

* Fri Jul 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.3-1mdk
- 1.6.3
- don't bzip2 icons in src.rpm
- cosmetics

